import { describe, expect, test } from 'vitest';
import { ValiError } from './ValiError';
describe('ValiError', () => {
    test('should create error instance', () => {
        const issue = {
            reason: 'type',
            validation: 'string',
            origin: 'value',
            message: 'Invalid type',
            input: 1,
        };
        const error = new ValiError([issue, issue]);
        expect(error).toBeInstanceOf(ValiError);
        expect(error.name).toBe('ValiError');
        expect(error.message).toBe('Invalid type');
        expect(error.issues).toEqual([issue, issue]);
    });
});
