/**
 * Parses unknown input based on a schema.
 *
 * @param schema The scheme to be used.
 * @param input The input to be parsed.
 *
 * @returns The parsed output.
 */
export async function safeParseAsync(schema, input) {
    try {
        return {
            success: true,
            data: await schema.parse(input),
        };
    }
    catch (error) {
        return {
            success: false,
            error: error,
        };
    }
}
