/**
 * Executes the async validation and transformation pipe.
 *
 * @param input The input value.
 * @param pipe The pipe to be executed.
 * @param info The validation info.
 *
 * @returns The output value.
 */
export async function executePipeAsync(input, pipe, info) {
    return pipe.reduce(async (value, action) => action(await value, info), Promise.resolve(input));
}
