import { ValiError } from '../../error';
/**
 * Creates a validation functions that validates a emoji.
 *
 * @param error The error message.
 *
 * @returns A validation function.
 */
export function emoji(error) {
    return (input, info) => {
        if (!/^(\p{Extended_Pictographic}|\p{Emoji_Component})+$/u.test(input)) {
            throw new ValiError([
                {
                    validation: 'emoji',
                    origin: 'value',
                    message: error || 'Invalid emoji',
                    input,
                    ...info,
                },
            ]);
        }
        return input;
    };
}
