import { type NonOptionalSchemaAsync, type ObjectOutput, type ObjectSchema, type ObjectSchemaAsync, type ObjectShapesAsync } from '../../schemas';
import type { Pipe } from '../../types';
/**
 * Required object schema type.
 */
type Required<TObjectSchema extends ObjectShapesAsync> = {
    [TKey in keyof TObjectSchema]: NonOptionalSchemaAsync<TObjectSchema[TKey]>;
};
/**
 * Creates an async object schema consisting of all properties of an existing
 * object schema set to none optional.
 *
 * @param schema The affected scheme.
 * @param pipe A validation and transformation pipe.
 *
 * @returns An async object schema.
 */
export declare function requiredAsync<TObjectSchema extends ObjectSchema<any> | ObjectSchemaAsync<any>>(schema: TObjectSchema, pipe?: Pipe<ObjectOutput<Required<TObjectSchema['object']>>>): ObjectSchemaAsync<Required<TObjectSchema['object']>>;
/**
 * Creates an async object schema consisting of all properties of an existing
 * object schema set to none optional.
 *
 * @param schema The affected scheme.
 * @param error The error message.
 * @param pipe A validation and transformation pipe.
 *
 * @returns An async object schema.
 */
export declare function requiredAsync<TObjectSchema extends ObjectSchema<any> | ObjectSchemaAsync<any>>(schema: TObjectSchema, error?: string, pipe?: Pipe<ObjectOutput<Required<TObjectSchema['object']>>>): ObjectSchemaAsync<Required<TObjectSchema['object']>>;
export {};
