import type { BaseSchema, BaseSchemaAsync, Input } from '../../types';
/**
 * Passes the default value to a scheme in case of an undefined input.
 *
 * @param schema The affected scheme.
 * @param value The default value.
 *
 * @returns The passed schema.
 */
export declare function useDefault<TSchema extends BaseSchema | BaseSchemaAsync>(schema: TSchema, value: Input<TSchema>): TSchema;
