import type { BaseSchemaAsync } from '../../types';
import type { EnumValue } from './enumType';
/**
 * Enum schema async type.
 */
export type EnumSchemaAsync<TEnumValue extends EnumValue, TOutput = TEnumValue[number]> = BaseSchemaAsync<TEnumValue[number], TOutput> & {
    schema: 'enum';
    enum: TEnumValue;
};
/**
 * Creates an async enum schema.
 *
 * @param enum The enum value.
 * @param error The error message.
 *
 * @returns An async enum schema.
 */
export declare function enumTypeAsync<TEnumValue extends EnumValue>(enumValue: TEnumValue, error?: string): EnumSchemaAsync<TEnumValue>;
