import type { ValidateInfo } from '../../types';
/**
 * Creates a validation functions that validates a date.
 *
 * Format: yyyy-mm-dd
 *
 * Hint: The regex used cannot validate the maximum number of days based on
 * year and month. For example, "2023-06-31" is valid although June has only
 * 30 days.
 *
 * @param error The error message.
 *
 * @returns A validation function.
 */
export declare function isoDate<TInput extends string>(error?: string): (input: TInput, info: ValidateInfo) => TInput;
