import type { ValidateInfo } from '../../types';
/**
 * Creates a validation functions that validates the MIME type of a file.
 *
 * @param requirement The MIME types.
 * @param error The error message.
 *
 * @returns A validation function.
 */
export declare function mimeType<TInput extends File>(requirement: `${string}/${string}`[], error?: string): (input: TInput, info: ValidateInfo) => TInput;
