import type { ValidateInfo } from '../../types';
/**
 * Creates a validation functions that validates a string with a regex.
 *
 * @param requirement The regex pattern.
 * @param error The error message.
 *
 * @returns A validation function.
 */
export declare function regex<TInput extends string>(requirement: RegExp, error?: string): (input: TInput, info: ValidateInfo) => TInput;
