import type { ValidateInfo } from '../../types';
/**
 * Creates a validation functions that validates the size of a map, set or blob.
 *
 * @param requirement The size.
 * @param error The error message.
 *
 * @returns A validation function.
 */
export declare function size<TInput extends Map<any, any> | Set<any> | Blob>(requirement: number, error?: string): (input: TInput, info: ValidateInfo) => TInput;
