import type { ValidateInfo } from '../../types';
/**
 * Creates a validation functions that validates a URL.
 *
 * Hint: The value is passed to the URL contructor to check if it is valid.
 * This check is not perfect. For example, values like "abc:1234" are accepted.
 *
 * @param error The error message.
 *
 * @returns A validation function.
 */
export declare function url<TInput extends string>(error?: string): (input: TInput, info: ValidateInfo) => TInput;
